Bug 179174 - CVE-2006-0292 javascript unrooted access
CVE-2006-0292 javascript unrooted access
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
4
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Christopher Aillon
impact=critical,embargo=20060202,repo...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-27 16:07 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 10:45:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-01-27 16:07:45 EST
javascript unrooted access

The javascript interpreter in Firefox can be tricked into storing
arbitary code onto the heap, then jump into that code.  This is the
result of tricking the garbage collector into dereferencing objects
that are still in use.

https://bugzilla.mozilla.org/show_bug.cgi?id=316885
Comment 2 Fedora Update System 2006-02-02 18:36:12 EST
From User-Agent: XML-RPC

firefox-1.0.7-1.2.fc4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Christian Iseli 2007-01-22 05:03:39 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 Matěj Cepl 2007-07-18 13:22:59 EDT
Distribution against which this bug was reported is no longer supported; could
you please reproduce this with the updated version of the currently supported
distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue turns out
to still be reproducible, please let us know in this bug report.  If after a
month's time we have not heard back from you, we will have to close this bug as
CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 5 Matěj Cepl 2007-08-28 10:45:02 EDT
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.

Note You need to log in before you can comment on or make changes to this bug.